Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Interface CloneableOpenSupport.Env

All Superinterfaces:
  Serializable

Enclosing class:
  CloneableOpenSupport

    public static interface CloneableOpenSupport.Env

extends Serializable

Abstract interface that is used by CloneableOpenSupport to talk to outside world.

Field Summary
`static String` | `PROP_MODIFIED` that is fired when the objects wants to mark itself modified or not modified.
`static String` | `PROP_VALID` that is fired when the objects wants to mark itself as invalid, so all components should be closed.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Adds property listener.
`void` | `addVetoableChangeListener(VetoableChangeListener l)` Adds veto listener.
`CloneableOpenSupport` | `findCloneableOpenSupport()` Method that allows environment to find its cloneable open support.
`boolean` | `isModified()` Test whether the object is modified or not.
`boolean` | `isValid()` Test whether the support is in valid state or not.
`void` | `markModified()` Support for marking the environement modified.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Removes property listener.
`void` | `removeVetoableChangeListener(VetoableChangeListener l)` Removes veto listener.
`void` | `unmarkModified()` Reverse method that can be called to make the environment unmodified.

Field Detail

### PROP_VALID

    static final String PROP_VALID

  that is fired when the objects wants to mark itself as invalid, so all components should be closed.

  See Also:
    Constant Field Values

### PROP_MODIFIED

    static final String PROP_MODIFIED

  that is fired when the objects wants to mark itself modified or not modified.

  See Also:
    Constant Field Values

Method Detail

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Adds property listener.

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Removes property listener.

### addVetoableChangeListener

    void addVetoableChangeListener(VetoableChangeListener l)

  Adds veto listener.

### removeVetoableChangeListener

    void removeVetoableChangeListener(VetoableChangeListener l)

  Removes veto listener.

### isValid

    boolean isValid()

  Test whether the support is in valid state or not. It could be invalid after deserialization when the object it referenced to does not exist anymore.

  Returns:
    true or false depending on its state

### isModified

    boolean isModified()

  Test whether the object is modified or not.

  Returns:
    true if the object is modified

### markModified

    void markModified()
                      throws IOException

  Support for marking the environement modified.

  Throws:
    `IOException` - if the environment cannot be marked modified (for example when the file is readonly), when such exception is the support should discard all previous changes

### unmarkModified

    void unmarkModified()

  Reverse method that can be called to make the environment unmodified.

### findCloneableOpenSupport

    CloneableOpenSupport findCloneableOpenSupport()

  Method that allows environment to find its cloneable open support.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.